Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Remove unneded files

  • Loading branch information...
commit 556b6e54b7636b3335186c4db30823d6cd5f8d46 1 parent 50cad4a
Sebastián Magrí authored
20 net-irc/xchat-gnome/files/xchat-gnome-0.26.1-fix-it-help.patch
... ... @@ -1,20 +0,0 @@
1   ---- a/help/it/it.po 2010-12-27 12:27:16.000000000 +0100
2   -+++ b/help/it/it.po 2010-12-27 12:27:35.000000000 +0100
3   -@@ -412,7 +412,7 @@
4   -
5   - #: C/xchat-gnome.xml:522(para)
6   - msgid "Enter the <guilabel>Quit Message</guilabel> you wish to be shown to other users when you leave an Internet Relay Chat (IRC) network."
7   --msgstr "Inserire un <guialabel>Messaggio di disconnessione</guilabel> da mostrare agli altri quando si esce dal server."
8   -+msgstr "Inserire un <guilabel>Messaggio di disconnessione</guilabel> da mostrare agli altri quando si esce dal server."
9   -
10   - #: C/xchat-gnome.xml:523(para)
11   - msgid "Enter the <guilabel>Part Message</guilabel> you wish to be shown to other users when you leave an Internet Relay Chat (IRC) channel but remain connected to that channel's network."
12   -@@ -488,7 +488,7 @@
13   -
14   - #: C/xchat-gnome.xml:582(para)
15   - msgid "Click on the <guilabel>Foreground mark</guilabel> button to display the color selector dialog. Select the forground mark color for the <application>XChat-GNOME</application> discussion area."
16   --msgstr "Fare clic su <guialbel>Primo piano</guilabel> per visualizzare la finestra di dialogo di selezione dei colori. Selezionare il colore di primo piano per l'area di discussione di <application>XChat-GNOME</application>."
17   -+msgstr "Fare clic su <guilabel>Primo piano</guilabel> per visualizzare la finestra di dialogo di selezione dei colori. Selezionare il colore di primo piano per l'area di discussione di <application>XChat-GNOME</application>."
18   -
19   - #: C/xchat-gnome.xml:585(para)
20   - msgid "Click on the <guilabel>Background mark</guilabel> button to display the color selector dialog. Select the background mark color for the <application>XChat-GNOME</application> discussion area."
27 net-irc/xchat-gnome/files/xchat-gnome-0.26.1-libnotify-0.7.patch
... ... @@ -1,27 +0,0 @@
1   ---- plugins/notify-osd/notify-osd.c
2   -+++ plugins/notify-osd/notify-osd.c
3   -@@ -27,6 +27,10 @@
4   - #include "xchat-plugin.h"
5   - #include "xg-plugin.h"
6   -
7   -+#ifndef NOTIFY_CHECK_VERSION
8   -+#define NOTIFY_CHECK_VERSION(x,y,z) 0
9   -+#endif
10   -+
11   - #define NOTIFY_OSD_NAME _("On-screen display")
12   - #define NOTIFY_OSD_VERSION "0.1"
13   - #define NOTIFY_OSD_DESCRIPTION _("Pops up notification of important messages when XChat-GNOME doesn't have the focus")
14   -@@ -67,7 +71,12 @@
15   - gchar *escaped;
16   -
17   - escaped = g_markup_escape_text (message, strlen(message));
18   -- notify = notify_notification_new (summary, escaped, NULL, NULL);
19   -+ notify = notify_notification_new (summary, escaped, NULL
20   -+#if NOTIFY_CHECK_VERSION (0, 7, 0)
21   -+ );
22   -+#else
23   -+ , NULL);
24   -+#endif
25   - notify_notification_set_urgency (notify, NOTIFY_URGENCY_NORMAL);
26   - notify_notification_set_icon_from_pixbuf (notify, notify_icon);
27   - if (!notify_notification_show (notify, &error)) {
32 net-irc/xchat-gnome/files/xchat-gnome-0.26.1-multilib.patch
... ... @@ -1,32 +0,0 @@
1   -From d2cefae726e1db63fb578a144d7440a7826034b5 Mon Sep 17 00:00:00 2001
2   -From: Nathan Phillip Brink <ohnobinki@ohnopublishing.net>
3   -Date: Mon, 9 May 2011 21:46:37 -0400
4   -Subject: [PATCH] Respect the value passed to --enable-tcl (which is supposed to be a directory containing tclConfig.sh).
5   -
6   -The current ./configure script will suggest to the user to specify
7   -``--enable-tcl=/path/to'' but it corrently completely ignores anything
8   -passed to --enable-tcl.
9   ----
10   - configure.ac | 6 +++---
11   - 1 files changed, 3 insertions(+), 3 deletions(-)
12   -
13   -diff --git a/configure.ac b/configure.ac
14   -index ff9ea95..62c0d8f 100644
15   ---- a/configure.ac
16   -+++ b/configure.ac
17   -@@ -260,9 +260,9 @@ AC_MSG_RESULT([$enable_tcl])
18   - if test "x$have_tcl" != "xno"; then
19   - have_tcl=no
20   - AC_MSG_CHECKING([for tclConfig.sh])
21   -- for dir in $tcl /lib /usr/lib /usr/lib/tcl8.4 /usr/tcl/lib /usr/local/lib /usr/local/tcl-8.4/lib /usr/local/tcl/lib /opt/lib; do
22   -- if test -f $dir/tclConfig.sh; then
23   -- . $dir/tclConfig.sh
24   -+ for dir in "$enable_tcl" /lib /usr/lib /usr/lib/tcl8.4 /usr/tcl/lib /usr/local/lib /usr/local/tcl-8.4/lib /usr/local/tcl/lib /opt/lib; do
25   -+ if test -f "$dir/tclConfig.sh"; then
26   -+ . "$dir/tclConfig.sh"
27   - TCL_LIBS="$TCL_LIB_SPEC $TCL_LIBS"
28   - TCL_CFLAGS="-I${TCL_PREFIX}/include $TCL_INCLUDE_SPEC"
29   - AC_SUBST([TCL_LIBS])
30   ---
31   -1.7.3.4
32   -
47 net-irc/xchat-gnome/files/xchat-gnome-0.26.1-ssl-automagic.patch
... ... @@ -1,47 +0,0 @@
1   -From: Nathan Phillip Brink <ohnobinki@ohnopublishing.net>
2   -Date: Thu, 12 May 2011 02:34:49 -0400
3   -Subject: [PATCH] Add --without-openssl to ./configure
4   -
5   -Make dependency on openssl not necessarily automagic. Now
6   ---with-openssl will cause ./configure to die if openssl cannot be
7   -found. --with-openssl=auto or no argument uses the old automagic
8   -behavior. (Backported to xchat-gnome-0.26.1).
9   ----
10   - configure.ac | 22 +++++++++++++++-------
11   - 1 files changed, 15 insertions(+), 7 deletions(-)
12   -
13   -diff --git a/configure.ac b/configure.ac
14   -index 62c0d8f..e2fed71 100644
15   ---- a/configure.ac
16   -+++ b/configure.ac
17   -@@ -283,15 +283,21 @@ if test "x$have_tcl" != "xno"; then
18   - fi
19   -
20   - # openssl
21   --PKG_CHECK_MODULES([OPENSSL], [openssl], openssl=yes, openssl=no)
22   --if test "x$openssl" = xyes; then
23   -- AC_SUBST([OPENSSL_CFLAGS])
24   -- AC_SUBST([OPENSSL_LIBS])
25   -- AC_DEFINE(USE_OPENSSL, [], [Whether to use OpenSSL])
26   --else
27   -- AC_MSG_WARN([Library requirements (openssl) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.])
28   --fi
29   --AM_CONDITIONAL(USE_OPENSSL, test "x$openssl" = "xyes")
30   -+AC_ARG_WITH([openssl], [AS_HELP_STRING([--without-openssl], [Disable SSL support using openssl])],
31   -+ [], [with_openssl=auto])
32   -+AS_IF([test "x$with_openssl" != "xno"],
33   -+ [PKG_CHECK_MODULES([OPENSSL], [openssl],
34   -+ [AC_DEFINE([USE_OPENSSL], [], [Whether to use OpenSSL])
35   -+ with_openssl=yes
36   -+ ],
37   -+ [openssl_not_found_msg="Library requirements (openssl) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them."
38   -+ AS_IF([test "x$with_openssl" != "xauto"],
39   -+ [AC_MSG_ERROR([$openssl_not_found_msg (An error because --with-openssl was specified).])],
40   -+ [AC_MSG_WARN([$openssl_not_found_msg])])
41   -+ with_openssl=no
42   -+ ])
43   -+ ])
44   -+AM_CONDITIONAL([USE_OPENSSL], [test "x$with_openssl" = "xyes"])
45   -
46   - # i18n
47   - IT_PROG_INTLTOOL([0.40.0])
75 net-irc/xchat-gnome/xchat-gnome-9999.ebuild~
... ... @@ -1,75 +0,0 @@
1   -# Copyright 1999-2011 Gentoo Foundation
2   -# Distributed under the terms of the GNU General Public License v2
3   -# $Header: /var/cvsroot/gentoo-x86/net-irc/xchat-gnome/xchat-gnome-0.26.1-r2.ebuild,v 1.2 2011/05/17 22:41:30 binki Exp $
4   -
5   -EAPI=3
6   -GCONF_DEBUG="yes"
7   -PYTHON_DEPEND="python? 2"
8   -
9   -inherit autotools eutils multilib gnome2-live python
10   -
11   -DESCRIPTION="GNOME frontend for the popular X-Chat IRC client"
12   -HOMEPAGE="http://live.gnome.org/Xchat-Gnome/"
13   -
14   -LICENSE="GPL-2"
15   -SLOT="0"
16   -KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
17   -IUSE="dbus libnotify mmx nls perl python spell ssl tcl"
18   -
19   -RDEPEND=">=dev-libs/glib-2.18:2
20   - >=gnome-base/libgnome-2.16.0
21   - >=gnome-base/gconf-2.8.0
22   - >=gnome-base/libgnomeui-2.16.0
23   - >=gnome-base/libglade-2.3.2
24   - >=media-libs/libcanberra-0.3[gtk]
25   - >=x11-libs/gtk+-2.14:2
26   - >=x11-libs/libsexy-0.1.11
27   - x11-libs/libX11
28   - spell? ( app-text/enchant )
29   - ssl? ( >=dev-libs/openssl-0.9.6d )
30   - perl? ( >=dev-lang/perl-5.6.1 )
31   - tcl? ( dev-lang/tcl )
32   - dbus? ( >=sys-apps/dbus-0.60 )
33   - libnotify? ( >=x11-libs/libnotify-0.3.2 )
34   -"
35   -DEPEND="${RDEPEND}
36   - >=dev-util/pkgconfig-0.7
37   - >=app-text/gnome-doc-utils-0.3.2
38   - nls? ( sys-devel/gettext )"
39   -
40   -# gnome-base/gnome-common needed when doing eautoreconf
41   -
42   -pkg_setup() {
43   - # Per configure.ac, shm is disable because of upstream bug #565958
44   - # --enable-shm
45   - G2CONF="${G2CONF}
46   - --enable-gnomefe
47   - --enable-canberra
48   - --disable-schemas-install
49   - --disable-scrollkeeper
50   - --disable-static
51   - --disable-maintainer-mode
52   - $(use_with ssl openssl)
53   - $(use_enable perl)
54   - $(use_enable python)
55   - $(use_enable tcl tcl /usr/$(get_libdir))
56   - $(use_enable mmx)
57   - $(use_enable dbus)
58   - $(use_enable nls)
59   - $(use_enable libnotify notification)"
60   -
61   - DOCS="AUTHORS ChangeLog NEWS"
62   -
63   - use python && python_set_active_version 2
64   -}
65   -
66   -src_install() {
67   - gnome2_src_install
68   -
69   - # install plugin development header
70   - insinto /usr/include/xchat-gnome
71   - doins src/common/xchat-plugin.h || die
72   -
73   - # Not needed for plugins
74   - find "${D}" -type f -name "*.la" -delete || die "la files removal failed"
75   -}

0 comments on commit 556b6e5

Please sign in to comment.
Something went wrong with that request. Please try again.